%define name     speex
%define ver      1.0.1
%define rel      1

Summary:      An open-source, patent-free speech codec
Name:         %name
Version:      %ver
Release:      %{?release_prefix:%{release_prefix}.}%{rel}%{?release_suffix:.%{release_suffix}}
Serial:       1
Copyright:    BSD
Group:        System Environment/Libraries
Source:       http://www.speex.org/download/%{name}-%{ver}.tar.gz
URL:          http://www.speex.org/
Vendor:       Speex
Packager:     Jean-Marc Valin (jean-marc.valin@hermes.usherb.ca)
BuildRoot:    /var/tmp/%{name}-build-root
Distribution: Planet CCRMA

%description
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%package devel
Summary:       Speex development files
Group:         Development/Libraries
Requires:      %{name} = %{version}

%description devel
Speex development files.

%prep
%setup

%build
export CFLAGS='-O3 -DRELEASE'
%configure --enable-shared --enable-static
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING AUTHORS ChangeLog NEWS README
%doc doc/manual.pdf
%{_mandir}/man1/speexenc.1*
%{_mandir}/man1/speexdec.1*
%attr(755,root,root) %{_bindir}/speex*
%attr(755,root,root) %{_libdir}/libspeex*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspeex*.la
%{_includedir}/speex*.h
%{_libdir}/libspeex*.a
%{_libdir}/libspeex*.so

%changelog
* Mon Aug 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1
- updated to 1.0.1
* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0-1
- updated to 1.0, updated file lists for so's
* Wed Feb 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc2-1
- imported from original speex source rpm
- several small spec file tweaks
* Thu Oct 03 2002 Jean-Marc Valin 
- Added devel package inspired from PLD spec file
* Tue Jul 30 2002 Fredrik Rambris <boost@users.sourceforge.net> 0.5.2
- Added buildroot and docdir and ldconfig. Makes it builadble by non-roots
  and also doesn't write to actual library paths when building.

